<?php

namespace MyApp\DB;

class DB extends \SQLite3
{
    protected $arr_navbar;

    public function __construct()
    {
        $this->open('../db/db.sqlite');
    }

    public function getNavBar($lang)
    {
        // $sql = "SELECT * from menu left join menu_type on menu.type = menu_type.id 
        //    WHERE menu_type.name = 'navbar' and menu.lang = :lang";
        $sql = "SELECT * from menu WHERE type = 'navbar' AND lang = :lang";
        $stmt = $this->prepare($sql);
        $stmt->bindValue('lang', $lang, SQLITE3_TEXT);
        $res = $stmt->execute();
        while ($val = $res->fetchArray(SQLITE3_ASSOC)) {
            $this->arr_navbar[] = $val;
        }
        return $this->arr_navbar;
    }
}
